%  gain3.m
% Matlab file for Part 3 of the Gain and Phase Shift
% module

global c k w F0

disp('*****************************************')
disp('Part 3:  Parameter Identification ')
disp('*****************************************')
disp('  ')    

    format short

    disp('As you work through steps 1 and 2, you ')
    disp('can put the equations to be solved for c ')
    disp('and ksq into an easier form to solve: ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  syms c ksq M w phi')
    disp('  eq1=''(ksq - w^2)^2 + 4*c^2*w^2 = 1/M^2'' ')
    disp('  eq2=''(ksq - w^2) - 2*c*w*cot(phi) = 0'' ') 
    disp(' ')
    disp('Enter the MATLAB command to solve these equations')
    disp('for c and ksq in terms of w, M, and phi:')
    disp(' ')
    disp('  [c,ksq] = solve(eq1,eq2,''c,ksq'') ')
    disp(' ')
    disp('Suppose you want evaluate c and ksq simultaneously')
    disp('when w=0.5, M=0.6, and phi=0.11.  Enter:')
    disp(' ')
    disp('  c1 = subs(c,{w,M,phi},{0.5,0.6,0.11}) ')
    disp('  ksq1 = subs(ksq,{w,M,phi},{0.5,0.6,0.11}) ')
    disp(' ')
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Steps 1 and 2:')
    disp('Decide on and carry out your strategy for finding')
    disp('good approximations for c and k.  Cite confirming ')
    disp('evidence that you have actually found good values. ')
    disp('Use MATLAB comments in your diary file to explain ')
    disp('your steps.')
    disp(' ') 
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 3: ')
    disp('Enter your best values for c and k below and')
    disp('then execute the plotting commands to graph')
    disp('M(w) and phi(w).  Instead of using the arccot,')
    disp('we rewrite the formula for phi in terms of the')
    disp('inverse cosine to get angles the range 0 to pi.')
    disp(' ') 
    disp('Assuming you have not deleted your scatter plots ')
    disp('of step 5 in Part 2, your new graphs should ')
    disp('overlay your emperical plots. ')
    disp(' ') 
    disp('Enter: ')
    disp(' ')
    disp('  c = ?  % Fill in ')
    disp('  k = ?  % Fill in')
    disp('  w = 0.2:0.05:3; ')
    disp('  base = (k^2-w.^2); ')
    disp('  M = 1./sqrt(base.^2 + 4*c^2*w.^2);')
    disp('  phi = acos( base./sqrt(base.^2 + 4*c^2*w.^2) ); ')
    disp('  figure(1) ')
    disp('  plot(w,M,''r''); grid on ')
    disp('  figure(2) ')
    disp('  plot(w,phi,''b''); grid on ') 
    disp(' ')
    disp('---------------------------------------------')
    disp('Do the graphs you have just made resemble your')
    disp('emperical scatter plots?')
    disp('Discuss using MATLAB comments in your diary file.')
    disp(' ') 
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 4 ')
    disp('of this module, type: gain4.')
    disp(' ')
